Bug 6472 - HidePatronName no longer works as stated
Summary: HidePatronName no longer works as stated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-06-06 19:46 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 642: HidePatronName on detail page broken (1.42 KB, patch)
2011-06-06 21:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-06-06 19:46:57 UTC
I'm guessing this is a template issue - but change the category if I'm wrong.

When you change the value of HidePatronName to 'don't show' the name still shows. This used to work in 3.2.
Comment 1 Katrin Fischer 2011-06-06 21:35:58 UTC
Created attachment 4387 [details] [review]
Bug 642: HidePatronName on detail page broken

TT issue

To test:
- Check out an item to a patron
- Go to detail page of the title in intranet
- Normal view will show cardnumber when HidePatronName is activated
- Normal view will show patron's name, when HidePatronName is off

Hold page was not broken.
Comment 2 Ian Walls 2011-06-07 11:15:02 UTC
Simple patch, easy to test, marking as Passed QA
Comment 3 Chris Cormack 2011-06-08 02:31:01 UTC
TT bug, pushed please test
Comment 4 Magnus Enger 2011-07-16 08:30:17 UTC
Toggling HidePatronName toggels between showing card number and patron name on e.g. catalogue/detail.pl?biblionumber=2&bi=2#item12